import com.imsl.chart.*;
import com.imsl.chart.qc.*;

public class SampleXbarSCombo extends JFrameChart {    
    public SampleXbarSCombo() {
        Chart chart = getChart();
        ShewhartControlChart charts[] =
            XbarS.createCharts(chart, SampleXbarS.diameter);
        
        AxisXY axis = (AxisXY)(charts[0].getAxis());
        axis.getAxisY().setAutoscaleInput(axis.AUTOSCALE_OFF);
        axis.getAxisY().setWindow(73.985, 74.015);
        
        axis = (AxisXY)(charts[1].getAxis());
        axis.getAxisY().getAxisLabel().setTextFormat("0.000");
        axis.getAxisY().setAutoscaleInput(axis.AUTOSCALE_OFF);
        axis.getAxisY().setWindow(0.0, 0.02);
        String title = "ucl = {0,number,0.0000}";
        ((SChart)charts[1]).getUpperControlLimit().setTitle(title);
    }
    
    
    public static void main(String argv[]) {
        new SampleXbarSCombo().setVisible(true);
    }
}